## org.gnu.gtk
Class ToolTips

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.ToolTips

public class ToolTips
extends GtkObject

ToolTips are the messages that appear next to a widget when the mouse pointer is held over it for a short period of time.

Constructor Summary
`ToolTips()` Construct a new ToolTips object.
`ToolTips(org.gnu.glib.Handle handle)`

Method Summary
`void` `disable()` Disables the ToolTips.
`void` `enable()` Enables the ToolTips.
`static ToolTipsData` `getData(Widget widget)` Retrieve the ToolTipsData associated with the provided widget
`static ToolTips` `getToolTips(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setTip(Widget widget, java.lang.String tipText, java.lang.String additionalInfo)` Adds a tooltip to a Widget.

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolTips

    public ToolTips()

  Construct a new ToolTips object.

### ToolTips

    public ToolTips(org.gnu.glib.Handle handle)

Method Detail

### getToolTips

    public static ToolTips getToolTips(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setTip

    public void setTip(Widget widget,
                       java.lang.String tipText,
                       java.lang.String additionalInfo)

  Adds a tooltip to a Widget.

  Parameters:
    `widget` - The Widget to add to tooltips.
    `tipText` - The text to display for the tooltip.
    `additionalInfo` - Additional information that might be useful to the user if they get stuck.

### enable

    public void enable()

  Enables the ToolTips.

### disable

    public void disable()

  Disables the ToolTips.

### getData

    public static ToolTipsData getData(Widget widget)

  Retrieve the ToolTipsData associated with the provided widget

  Parameters:
    `widget` -

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.